// Garden Gnome Software - Skin
// Pano2VR 4.0/3102
// Filename: tour_skin.ggsk
// Generated Sun Dec 30 14:51:37 2012

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		return 'translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._ground_floor_trigger=document.createElement('div');
		this._ground_floor_trigger.ggId='ground floor trigger';
		this._ground_floor_trigger.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ground_floor_trigger.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 52px;';
		hs+='top:  158px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._ground_floor_trigger.setAttribute('style',hs);
		this._ground_floor_trigger.ggMarkerNodeId='gf';
		nodeMarker.push(this._ground_floor_trigger);
		this._ground_floor_trigger.onclick=function () {
			me.player.openNext('gf');
		}
		this._ground_floor_trigger.ggActivate=function () {
			me._ground_floor_select.onclick();
		}
		this.divSkin.appendChild(this._ground_floor_trigger);
		this._first_floor_trigger=document.createElement('div');
		this._first_floor_trigger.ggId='first floor trigger';
		this._first_floor_trigger.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._first_floor_trigger.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 45px;';
		hs+='top:  156px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._first_floor_trigger.setAttribute('style',hs);
		this._first_floor_trigger.ggMarkerNodeId='ff';
		nodeMarker.push(this._first_floor_trigger);
		this._first_floor_trigger.onclick=function () {
			me.player.openNext('ff');
		}
		this._first_floor_trigger.ggActivate=function () {
			me._first_floor_select.onclick();
		}
		this.divSkin.appendChild(this._first_floor_trigger);
		this._second_floor_trigger=document.createElement('div');
		this._second_floor_trigger.ggId='second floor trigger';
		this._second_floor_trigger.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._second_floor_trigger.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 57px;';
		hs+='top:  157px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._second_floor_trigger.setAttribute('style',hs);
		this._second_floor_trigger.ggMarkerNodeId='sf';
		nodeMarker.push(this._second_floor_trigger);
		this._second_floor_trigger.onclick=function () {
			me.player.openNext('sf');
		}
		this._second_floor_trigger.ggActivate=function () {
			me._second_floor_select.onclick();
		}
		this.divSkin.appendChild(this._second_floor_trigger);
		this._floor_plan_bg=document.createElement('div');
		this._floor_plan_bg.ggId='floor_plan_bg';
		this._floor_plan_bg.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floor_plan_bg.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -356px;';
		hs+='top:  8px;';
		hs+='width: 346px;';
		hs+='height: 474px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		hs+='background-color: #ffffff;';
		this._floor_plan_bg.setAttribute('style',hs);
		this._ground_floor_select=document.createElement('div');
		this._ground_floor_select.ggId='ground_floor_select';
		this._ground_floor_select.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ground_floor_select.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 7px;';
		hs+='top:  441px;';
		hs+='width: 98px;';
		hs+='height: 21px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-color: #ffffff;';
		this._ground_floor_select.setAttribute('style',hs);
		this._ground_floor_select.onclick=function () {
			me._floor_location.style[domTransition]='none';
			me._floor_location.ggParameter.rx=11;me._floor_location.ggParameter.ry=445;
			me._floor_location.style[domTransform]=parameterToTransform(me._floor_location.ggParameter);
			if (me.player.transitionsDisabled) {
				me._floorplans.style[domTransition]='none';
			} else {
				me._floorplans.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._floorplans.ggParameter.rx=0;me._floorplans.ggParameter.ry=0;
			me._floorplans.style[domTransform]=parameterToTransform(me._floorplans.ggParameter);
		}
		this._gf_text=document.createElement('div');
		this._gf_text.ggId='gf_text';
		this._gf_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gf_text.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  2px;';
		hs+='width: 100px;';
		hs+='height: 17px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #0000ff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._gf_text.setAttribute('style',hs);
		this._gf_text.innerHTML="Ground Floor";
		this._ground_floor_select.appendChild(this._gf_text);
		this._ground_floor_hit=document.createElement('div');
		this._ground_floor_hit.ggId='ground_floor_hit';
		this._ground_floor_hit.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ground_floor_hit.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -2px;';
		hs+='top:  -2px;';
		hs+='width: 102px;';
		hs+='height: 25px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='border: 0px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-image:url(' + basePath + 'images/alpha_background_ffffff_10.png);';
		this._ground_floor_hit.setAttribute('style',hs);
		this._ground_floor_select.appendChild(this._ground_floor_hit);
		this._floor_plan_bg.appendChild(this._ground_floor_select);
		this._first_floor_select=document.createElement('div');
		this._first_floor_select.ggId='first_floor_select';
		this._first_floor_select.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._first_floor_select.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 121px;';
		hs+='top:  441px;';
		hs+='width: 98px;';
		hs+='height: 21px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-color: #ffffff;';
		this._first_floor_select.setAttribute('style',hs);
		this._first_floor_select.onclick=function () {
			me._floor_location.style[domTransition]='none';
			me._floor_location.ggParameter.rx=125;me._floor_location.ggParameter.ry=445;
			me._floor_location.style[domTransform]=parameterToTransform(me._floor_location.ggParameter);
			if (me.player.transitionsDisabled) {
				me._floorplans.style[domTransition]='none';
			} else {
				me._floorplans.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._floorplans.ggParameter.rx=0;me._floorplans.ggParameter.ry=400;
			me._floorplans.style[domTransform]=parameterToTransform(me._floorplans.ggParameter);
		}
		this._ff_text=document.createElement('div');
		this._ff_text.ggId='ff_text';
		this._ff_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ff_text.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  2px;';
		hs+='width: 100px;';
		hs+='height: 17px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #0000ff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._ff_text.setAttribute('style',hs);
		this._ff_text.innerHTML="First Floor";
		this._first_floor_select.appendChild(this._ff_text);
		this._first_floor_hit=document.createElement('div');
		this._first_floor_hit.ggId='first_floor_hit';
		this._first_floor_hit.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._first_floor_hit.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -2px;';
		hs+='top:  -2px;';
		hs+='width: 102px;';
		hs+='height: 25px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='border: 0px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-image:url(' + basePath + 'images/alpha_background_ffffff_10.png);';
		this._first_floor_hit.setAttribute('style',hs);
		this._first_floor_select.appendChild(this._first_floor_hit);
		this._floor_plan_bg.appendChild(this._first_floor_select);
		this._second_floor_select=document.createElement('div');
		this._second_floor_select.ggId='second_floor_select';
		this._second_floor_select.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._second_floor_select.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 232px;';
		hs+='top:  441px;';
		hs+='width: 98px;';
		hs+='height: 21px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-color: #ffffff;';
		this._second_floor_select.setAttribute('style',hs);
		this._second_floor_select.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._floorplans.style[domTransition]='none';
			} else {
				me._floorplans.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._floorplans.ggParameter.rx=0;me._floorplans.ggParameter.ry=800;
			me._floorplans.style[domTransform]=parameterToTransform(me._floorplans.ggParameter);
			me._floor_location.style[domTransition]='none';
			me._floor_location.ggParameter.rx=236;me._floor_location.ggParameter.ry=445;
			me._floor_location.style[domTransform]=parameterToTransform(me._floor_location.ggParameter);
		}
		this._sf_text=document.createElement('div');
		this._sf_text.ggId='sf_text';
		this._sf_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._sf_text.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  2px;';
		hs+='width: 100px;';
		hs+='height: 17px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #0000ff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._sf_text.setAttribute('style',hs);
		this._sf_text.innerHTML="Second Floor";
		this._second_floor_select.appendChild(this._sf_text);
		this._second_floor_hit=document.createElement('div');
		this._second_floor_hit.ggId='second_floor_hit';
		this._second_floor_hit.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._second_floor_hit.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -2px;';
		hs+='top:  -2px;';
		hs+='width: 102px;';
		hs+='height: 25px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='border: 0px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-image:url(' + basePath + 'images/alpha_background_ffffff_10.png);';
		this._second_floor_hit.setAttribute('style',hs);
		this._second_floor_select.appendChild(this._second_floor_hit);
		this._floor_plan_bg.appendChild(this._second_floor_select);
		this._floor_location=document.createElement('div');
		this._floor_location.ggId='floor_location';
		this._floor_location.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floor_location.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -4px;';
		hs+='top:  -4px;';
		hs+='width: 98px;';
		hs+='height: 21px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 4px solid #ff0000;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-image:url(' + basePath + 'images/alpha_background_ffffff_10.png);';
		this._floor_location.setAttribute('style',hs);
		this._floor_plan_bg.appendChild(this._floor_location);
		this._button_close=document.createElement('div');
		this._button_close.ggId='button_close';
		this._button_close.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_close.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 291px;';
		hs+='top:  1px;';
		hs+='width: 46px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-color: #ffffff;';
		this._button_close.setAttribute('style',hs);
		this._button_close.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._floor_plan_bg.style[domTransition]='none';
			} else {
				me._floor_plan_bg.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._floor_plan_bg.ggParameter.rx=0;me._floor_plan_bg.ggParameter.ry=0;
			me._floor_plan_bg.style[domTransform]=parameterToTransform(me._floor_plan_bg.ggParameter);
			me._floorplan_open.style[domTransition]='none';
			me._floorplan_open.ggParameter.sx=1;me._floorplan_open.ggParameter.sy=1;
			me._floorplan_open.style[domTransform]=parameterToTransform(me._floorplan_open.ggParameter);
			me._floorplan_close.style[domTransition]='none';
			me._floorplan_close.ggParameter.sx=0;me._floorplan_close.ggParameter.sy=0;
			me._floorplan_close.style[domTransform]=parameterToTransform(me._floorplan_close.ggParameter);
		}
		this._close_text=document.createElement('div');
		this._close_text.ggId='close_text';
		this._close_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._close_text.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 4px;';
		hs+='top:  1px;';
		hs+='width: 37px;';
		hs+='height: 17px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #0000ff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._close_text.setAttribute('style',hs);
		this._close_text.innerHTML="Close";
		this._button_close.appendChild(this._close_text);
		this._button_close_hit=document.createElement('div');
		this._button_close_hit.ggId='button_close_hit';
		this._button_close_hit.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_close_hit.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -2px;';
		hs+='top:  -2px;';
		hs+='width: 50px;';
		hs+='height: 24px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-image:url(' + basePath + 'images/alpha_background_ffffff_10.png);';
		this._button_close_hit.setAttribute('style',hs);
		this._button_close.appendChild(this._button_close_hit);
		this._floor_plan_bg.appendChild(this._button_close);
		this._mask=document.createElement('div');
		this._mask.ggId='mask';
		this._mask.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mask.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 18px;';
		hs+='top:  28px;';
		hs+='width: 310px;';
		hs+='height: 400px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='overflow: hidden;';
		this._mask.setAttribute('style',hs);
		this._floorplans=document.createElement('div');
		this._floorplans.ggId='floorplans';
		this._floorplans.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floorplans.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 310px;';
		hs+='height: 400px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._floorplans.setAttribute('style',hs);
		this._groundfloor=document.createElement('div');
		this._groundfloor.ggId='groundfloor';
		this._groundfloor.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._groundfloor.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 310px;';
		hs+='height: 400px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._groundfloor.setAttribute('style',hs);
		this._groundfloor__img=document.createElement('img');
		this._groundfloor__img.setAttribute('src',basePath + 'images/groundfloor.png');
		this._groundfloor__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._groundfloor__img);
		this._groundfloor.appendChild(this._groundfloor__img);
		this._floorplans.appendChild(this._groundfloor);
		this._firstfloor=document.createElement('div');
		this._firstfloor.ggId='firstfloor';
		this._firstfloor.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._firstfloor.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  -400px;';
		hs+='width: 310px;';
		hs+='height: 400px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._firstfloor.setAttribute('style',hs);
		this._firstfloor__img=document.createElement('img');
		this._firstfloor__img.setAttribute('src',basePath + 'images/firstfloor.png');
		this._firstfloor__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._firstfloor__img);
		this._firstfloor.appendChild(this._firstfloor__img);
		this._floorplans.appendChild(this._firstfloor);
		this._secondfloor=document.createElement('div');
		this._secondfloor.ggId='secondfloor';
		this._secondfloor.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._secondfloor.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  -800px;';
		hs+='width: 310px;';
		hs+='height: 400px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._secondfloor.setAttribute('style',hs);
		this._secondfloor__img=document.createElement('img');
		this._secondfloor__img.setAttribute('src',basePath + 'images/secondfloor.png');
		this._secondfloor__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._secondfloor__img);
		this._secondfloor.appendChild(this._secondfloor__img);
		this._floorplans.appendChild(this._secondfloor);
		this._room_one_mh=document.createElement('div');
		this._room_one_mh.ggId='room_one_mh';
		this._room_one_mh.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._room_one_mh.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 52px;';
		hs+='top:  118px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._room_one_mh.setAttribute('style',hs);
		this._room_one_mh.ggMarkerNodeId='r01';
		nodeMarker.push(this._room_one_mh);
		this._room_one_mh.onclick=function () {
			me.player.openNext("pano_01_out.swf","");
		}
		this._room_one_mh.ggActivate=function () {
			me._mh_radar.style[domTransition]='none';
			me._mh_radar.ggParameter.rx=52;me._mh_radar.ggParameter.ry=118;
			me._mh_radar.style[domTransform]=parameterToTransform(me._mh_radar.ggParameter);
		}
		this._floorplans.appendChild(this._room_one_mh);
		this._room_two_mh=document.createElement('div');
		this._room_two_mh.ggId='room_two_mh';
		this._room_two_mh.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._room_two_mh.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 53px;';
		hs+='top:  238px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._room_two_mh.setAttribute('style',hs);
		this._room_two_mh.ggMarkerNodeId='r02';
		nodeMarker.push(this._room_two_mh);
		this._room_two_mh.onclick=function () {
			me.player.openNext("pano_02_out.swf","");
		}
		this._room_two_mh.ggActivate=function () {
			me._mh_radar.style[domTransition]='none';
			me._mh_radar.ggParameter.rx=53;me._mh_radar.ggParameter.ry=238;
			me._mh_radar.style[domTransform]=parameterToTransform(me._mh_radar.ggParameter);
		}
		this._floorplans.appendChild(this._room_two_mh);
		this._room_three_mh=document.createElement('div');
		this._room_three_mh.ggId='room_three_mh';
		this._room_three_mh.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._room_three_mh.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 34px;';
		hs+='top:  -281px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._room_three_mh.setAttribute('style',hs);
		this._room_three_mh.ggMarkerNodeId='r03';
		nodeMarker.push(this._room_three_mh);
		this._room_three_mh.onclick=function () {
			me.player.openNext("pano_03_out.swf","");
		}
		this._room_three_mh.ggActivate=function () {
			me._mh_radar.style[domTransition]='none';
			me._mh_radar.ggParameter.rx=34;me._mh_radar.ggParameter.ry=-281;
			me._mh_radar.style[domTransform]=parameterToTransform(me._mh_radar.ggParameter);
		}
		this._floorplans.appendChild(this._room_three_mh);
		this._room_four_mh=document.createElement('div');
		this._room_four_mh.ggId='room_four_mh';
		this._room_four_mh.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._room_four_mh.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 63px;';
		hs+='top:  -155px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._room_four_mh.setAttribute('style',hs);
		this._room_four_mh.ggMarkerNodeId='r04';
		nodeMarker.push(this._room_four_mh);
		this._room_four_mh.onclick=function () {
			me.player.openNext("pano_04_out.swf","");
		}
		this._room_four_mh.ggActivate=function () {
			me._mh_radar.style[domTransition]='none';
			me._mh_radar.ggParameter.rx=63;me._mh_radar.ggParameter.ry=-155;
			me._mh_radar.style[domTransform]=parameterToTransform(me._mh_radar.ggParameter);
		}
		this._floorplans.appendChild(this._room_four_mh);
		this._room_five_mh=document.createElement('div');
		this._room_five_mh.ggId='room_five_mh';
		this._room_five_mh.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._room_five_mh.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 38px;';
		hs+='top:  -572px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._room_five_mh.setAttribute('style',hs);
		this._room_five_mh.ggMarkerNodeId='r05';
		nodeMarker.push(this._room_five_mh);
		this._room_five_mh.onclick=function () {
			me.player.openNext("pano_05_out.swf","");
		}
		this._room_five_mh.ggActivate=function () {
			me._mh_radar.style[domTransition]='none';
			me._mh_radar.ggParameter.rx=38;me._mh_radar.ggParameter.ry=-572;
			me._mh_radar.style[domTransform]=parameterToTransform(me._mh_radar.ggParameter);
		}
		this._floorplans.appendChild(this._room_five_mh);
		this._mh_radar=document.createElement('div');
		this._mh_radar.ggId='mh_radar';
		this._mh_radar.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mh_radar.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 40px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._mh_radar.setAttribute('style',hs);
		this._radar_ring=document.createElement('div');
		this._radar_ring.ggId='radar_ring';
		this._radar_ring.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._radar_ring.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  -1px;';
		hs+='width: 38px;';
		hs+='height: 38px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 2px solid #0000ff;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		this._radar_ring.setAttribute('style',hs);
		this._mh_radar.appendChild(this._radar_ring);
		this._radar_dot=document.createElement('div');
		this._radar_dot.ggId='radar_dot';
		this._radar_dot.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._radar_dot.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 18px;';
		hs+='top:  2px;';
		hs+='width: 6px;';
		hs+='height: 6px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		hs+='background-color: #ff0000;';
		this._radar_dot.setAttribute('style',hs);
		this._mh_radar.appendChild(this._radar_dot);
		this._floorplans.appendChild(this._mh_radar);
		this._mask.appendChild(this._floorplans);
		this._floor_plan_bg.appendChild(this._mask);
		this.divSkin.appendChild(this._floor_plan_bg);
		this._control=document.createElement('div');
		this._control.ggId='control';
		this._control.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._control.ggVisible=true;
		this._control.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-157 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-38 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -157px;';
		hs+='top:  -38px;';
		hs+='width: 314px;';
		hs+='height: 26px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._control.setAttribute('style',hs);
		this._floorplan_open=document.createElement('div');
		this._floorplan_open.ggId='floorplan_open';
		this._floorplan_open.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floorplan_open.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 192px;';
		hs+='top:  -2px;';
		hs+='width: 116px;';
		hs+='height: 22px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-color: #ffffff;';
		this._floorplan_open.setAttribute('style',hs);
		this._floorplan_open.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._floor_plan_bg.style[domTransition]='none';
			} else {
				me._floor_plan_bg.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._floor_plan_bg.ggParameter.rx=364;me._floor_plan_bg.ggParameter.ry=0;
			me._floor_plan_bg.style[domTransform]=parameterToTransform(me._floor_plan_bg.ggParameter);
			me._floorplan_open.style[domTransition]='none';
			me._floorplan_open.ggParameter.sx=0;me._floorplan_open.ggParameter.sy=0;
			me._floorplan_open.style[domTransform]=parameterToTransform(me._floorplan_open.ggParameter);
			me._floorplan_close.style[domTransition]='none';
			me._floorplan_close.ggParameter.sx=1;me._floorplan_close.ggParameter.sy=1;
			me._floorplan_close.style[domTransform]=parameterToTransform(me._floorplan_close.ggParameter);
		}
		this._floorplan_open_text=document.createElement('div');
		this._floorplan_open_text.ggId='floorplan_open_text';
		this._floorplan_open_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floorplan_open_text.ggVisible=true;
		this._floorplan_open_text.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			this.style.left=(8 + (100-this.offsetWidth)/2) + 'px';
		}
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  2px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #0000ff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._floorplan_open_text.setAttribute('style',hs);
		this._floorplan_open_text.innerHTML="Open Floorplan";
		this._floorplan_open.appendChild(this._floorplan_open_text);
		this._floorplan_open_hit=document.createElement('div');
		this._floorplan_open_hit.ggId='floorplan_open_hit';
		this._floorplan_open_hit.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floorplan_open_hit.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -2px;';
		hs+='top:  -2px;';
		hs+='width: 120px;';
		hs+='height: 26px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-image:url(' + basePath + 'images/alpha_background_ffffff_10.png);';
		this._floorplan_open_hit.setAttribute('style',hs);
		this._floorplan_open.appendChild(this._floorplan_open_hit);
		this._control.appendChild(this._floorplan_open);
		this._floorplan_close=document.createElement('div');
		this._floorplan_close.ggId='floorplan_close';
		this._floorplan_close.ggParameter={ rx:0,ry:0,a:0,sx:0,sy:0 };
		this._floorplan_close.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 192px;';
		hs+='top:  -2px;';
		hs+='width: 116px;';
		hs+='height: 22px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._floorplan_close.ggParameter) + ';';
		hs+='visibility: inherit;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-color: #ffffff;';
		this._floorplan_close.setAttribute('style',hs);
		this._floorplan_close.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._floor_plan_bg.style[domTransition]='none';
			} else {
				me._floor_plan_bg.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._floor_plan_bg.ggParameter.rx=0;me._floor_plan_bg.ggParameter.ry=0;
			me._floor_plan_bg.style[domTransform]=parameterToTransform(me._floor_plan_bg.ggParameter);
			me._floorplan_close.style[domTransition]='none';
			me._floorplan_close.ggParameter.sx=0;me._floorplan_close.ggParameter.sy=0;
			me._floorplan_close.style[domTransform]=parameterToTransform(me._floorplan_close.ggParameter);
			me._floorplan_open.style[domTransition]='none';
			me._floorplan_open.ggParameter.sx=1;me._floorplan_open.ggParameter.sy=1;
			me._floorplan_open.style[domTransform]=parameterToTransform(me._floorplan_open.ggParameter);
		}
		this._floorplan_close_text=document.createElement('div');
		this._floorplan_close_text.ggId='floorplan_close_text';
		this._floorplan_close_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floorplan_close_text.ggVisible=true;
		this._floorplan_close_text.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			this.style.left=(8 + (100-this.offsetWidth)/2) + 'px';
		}
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  2px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #0000ff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._floorplan_close_text.setAttribute('style',hs);
		this._floorplan_close_text.innerHTML="Close";
		this._floorplan_close.appendChild(this._floorplan_close_text);
		this._floorplan_close_hit=document.createElement('div');
		this._floorplan_close_hit.ggId='floorplan_close_hit';
		this._floorplan_close_hit.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floorplan_close_hit.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -2px;';
		hs+='top:  -2px;';
		hs+='width: 120px;';
		hs+='height: 26px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-image:url(' + basePath + 'images/alpha_background_ffffff_10.png);';
		this._floorplan_close_hit.setAttribute('style',hs);
		this._floorplan_close.appendChild(this._floorplan_close_hit);
		this._control.appendChild(this._floorplan_close);
		this._button_zoomin=document.createElement('div');
		this._button_zoomin.ggId='button_zoomin';
		this._button_zoomin.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_zoomin.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -2px;';
		hs+='top:  -2px;';
		hs+='width: 86px;';
		hs+='height: 22px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-color: #ffffff;';
		this._button_zoomin.setAttribute('style',hs);
		this._button_zoomin.onmouseout=function () {
			me.elementMouseDown['button_zoomin']=false;
		}
		this._button_zoomin.onmousedown=function () {
			me.elementMouseDown['button_zoomin']=true;
		}
		this._button_zoomin.onmouseup=function () {
			me.elementMouseDown['button_zoomin']=false;
		}
		this._button_zoomin.ontouchend=function () {
			me.elementMouseDown['button_zoomin']=false;
		}
		this._text_zoomin0=document.createElement('div');
		this._text_zoomin0.ggId='text_zoomin';
		this._text_zoomin0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_zoomin0.ggVisible=true;
		this._text_zoomin0.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			this.style.left=(3 + (80-this.offsetWidth)/2) + 'px';
		}
		hs ='position:absolute;';
		hs+='left: 3px;';
		hs+='top:  3px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #0000ff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_zoomin0.setAttribute('style',hs);
		this._text_zoomin0.innerHTML="Zoom In";
		this._button_zoomin.appendChild(this._text_zoomin0);
		this._button_zoomin_hit=document.createElement('div');
		this._button_zoomin_hit.ggId='button_zoomin_hit';
		this._button_zoomin_hit.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_zoomin_hit.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -2px;';
		hs+='top:  -2px;';
		hs+='width: 90px;';
		hs+='height: 26px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='border: 0px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-image:url(' + basePath + 'images/alpha_background_ffffff_10.png);';
		this._button_zoomin_hit.setAttribute('style',hs);
		this._button_zoomin.appendChild(this._button_zoomin_hit);
		this._control.appendChild(this._button_zoomin);
		this._button_zoomout=document.createElement('div');
		this._button_zoomout.ggId='button_zoomout';
		this._button_zoomout.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_zoomout.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 96px;';
		hs+='top:  -2px;';
		hs+='width: 86px;';
		hs+='height: 22px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-color: #ffffff;';
		this._button_zoomout.setAttribute('style',hs);
		this._button_zoomout.onmouseout=function () {
			me.elementMouseDown['button_zoomout']=false;
		}
		this._button_zoomout.onmousedown=function () {
			me.elementMouseDown['button_zoomout']=true;
		}
		this._button_zoomout.onmouseup=function () {
			me.elementMouseDown['button_zoomout']=false;
		}
		this._button_zoomout.ontouchend=function () {
			me.elementMouseDown['button_zoomout']=false;
		}
		this._text_zoomin=document.createElement('div');
		this._text_zoomin.ggId='text_zoomin';
		this._text_zoomin.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_zoomin.ggVisible=true;
		this._text_zoomin.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			this.style.left=(3 + (80-this.offsetWidth)/2) + 'px';
		}
		hs ='position:absolute;';
		hs+='left: 3px;';
		hs+='top:  3px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #0000ff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_zoomin.setAttribute('style',hs);
		this._text_zoomin.innerHTML="Zoom Out";
		this._button_zoomout.appendChild(this._text_zoomin);
		this._button_zoomout_hit=document.createElement('div');
		this._button_zoomout_hit.ggId='button_zoomout_hit';
		this._button_zoomout_hit.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_zoomout_hit.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -2px;';
		hs+='top:  -2px;';
		hs+='width: 90px;';
		hs+='height: 26px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='border: 0px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-image:url(' + basePath + 'images/alpha_background_ffffff_10.png);';
		this._button_zoomout_hit.setAttribute('style',hs);
		this._button_zoomout.appendChild(this._button_zoomout_hit);
		this._control.appendChild(this._button_zoomout);
		this.divSkin.appendChild(this._control);
		this._hide_mh=document.createElement('div');
		this._hide_mh.ggId='hide_mh';
		this._hide_mh.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._hide_mh.ggVisible=false;
		this._hide_mh.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-164 + w) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -164px;';
		hs+='top:  10px;';
		hs+='width: 151px;';
		hs+='height: 39px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._hide_mh.setAttribute('style',hs);
		this._mhn=document.createElement('div');
		this._mhn.ggId='mhn';
		this._mhn.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mhn.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 41px;';
		hs+='top:  0px;';
		hs+='width: 40px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='overflow: hidden;';
		this._mhn.setAttribute('style',hs);
		this._mhn_image=document.createElement('div');
		this._mhn_image.ggId='mhn_image';
		this._mhn_image.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mhn_image.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 9px;';
		hs+='top:  9px;';
		hs+='width: 18px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='border: 2px solid #0000ff;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		hs+='background-color: #ffffff;';
		this._mhn_image.setAttribute('style',hs);
		this._mhn.appendChild(this._mhn_image);
		this._hide_mh.appendChild(this._mhn);
		this._mha=document.createElement('div');
		this._mha.ggId='mha';
		this._mha.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mha.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 69px;';
		hs+='top:  0px;';
		hs+='width: 40px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='overflow: hidden;';
		this._mha.setAttribute('style',hs);
		this._mha_image=document.createElement('div');
		this._mha_image.ggId='mha_image';
		this._mha_image.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mha_image.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 9px;';
		hs+='top:  9px;';
		hs+='width: 18px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='border: 2px solid #ff0000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		hs+='background-color: #ffffff;';
		this._mha_image.setAttribute('style',hs);
		this._mha.appendChild(this._mha_image);
		this._hide_mh.appendChild(this._mha);
		this.divSkin.appendChild(this._hide_mh);
		this._loader=document.createElement('div');
		this._loader.ggId='loader';
		this._loader.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loader.ggVisible=true;
		this._loader.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-117 + w/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -117px;';
		hs+='top:  276px;';
		hs+='width: 226px;';
		hs+='height: 23px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 4px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-color: #ffffff;';
		this._loader.setAttribute('style',hs);
		this._loadbar=document.createElement('div');
		this._loadbar.ggId='loadbar';
		this._loadbar.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loadbar.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 13px;';
		hs+='top:  6px;';
		hs+='width: 200px;';
		hs+='height: 11px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='background-color: #0000ff;';
		this._loadbar.setAttribute('style',hs);
		this._loader.appendChild(this._loadbar);
		this.divSkin.appendChild(this._loader);
		this._ground_floor_trigger.ggMarkerNormal=null;
		this._ground_floor_trigger.ggMarkerActive=null;
		this._first_floor_trigger.ggMarkerNormal=null;
		this._first_floor_trigger.ggMarkerActive=null;
		this._second_floor_trigger.ggMarkerNormal=null;
		this._second_floor_trigger.ggMarkerActive=null;
		me._floor_location.style[domTransition]='none';
		me._floor_location.ggParameter.rx=11;me._floor_location.ggParameter.ry=445;
		me._floor_location.style[domTransform]=parameterToTransform(me._floor_location.ggParameter);
		this._room_one_mh__normal=this._mhn.cloneNode(true);
		this._room_one_mh__normal.style.visibility='inherit';
		this._room_one_mh__normal.style.left=0;
		this._room_one_mh__normal.style.top=0;
		this._room_one_mh.ggMarkerNormal=this._room_one_mh__normal;
		this._room_one_mh__active=this._mha.cloneNode(true);
		this._room_one_mh__active.style.visibility='hidden';
		this._room_one_mh__active.style.left=0;
		this._room_one_mh__active.style.top=0;
		this._room_one_mh.ggMarkerActive=this._room_one_mh__active;
		if (this._room_one_mh.firstChild) {
			this._room_one_mh.insertBefore(this._room_one_mh__active,this._room_one_mh.firstChild);
		} else {
			this._room_one_mh.appendChild(this._room_one_mh__active);
		}
		if (this._room_one_mh.firstChild) {
			this._room_one_mh.insertBefore(this._room_one_mh__normal,this._room_one_mh.firstChild);
		} else {
			this._room_one_mh.appendChild(this._room_one_mh__normal);
		}
		this._room_two_mh__normal=this._mhn.cloneNode(true);
		this._room_two_mh__normal.style.visibility='inherit';
		this._room_two_mh__normal.style.left=0;
		this._room_two_mh__normal.style.top=0;
		this._room_two_mh.ggMarkerNormal=this._room_two_mh__normal;
		this._room_two_mh__active=this._mha.cloneNode(true);
		this._room_two_mh__active.style.visibility='hidden';
		this._room_two_mh__active.style.left=0;
		this._room_two_mh__active.style.top=0;
		this._room_two_mh.ggMarkerActive=this._room_two_mh__active;
		if (this._room_two_mh.firstChild) {
			this._room_two_mh.insertBefore(this._room_two_mh__active,this._room_two_mh.firstChild);
		} else {
			this._room_two_mh.appendChild(this._room_two_mh__active);
		}
		if (this._room_two_mh.firstChild) {
			this._room_two_mh.insertBefore(this._room_two_mh__normal,this._room_two_mh.firstChild);
		} else {
			this._room_two_mh.appendChild(this._room_two_mh__normal);
		}
		this._room_three_mh__normal=this._mhn.cloneNode(true);
		this._room_three_mh__normal.style.visibility='inherit';
		this._room_three_mh__normal.style.left=0;
		this._room_three_mh__normal.style.top=0;
		this._room_three_mh.ggMarkerNormal=this._room_three_mh__normal;
		this._room_three_mh__active=this._mha.cloneNode(true);
		this._room_three_mh__active.style.visibility='hidden';
		this._room_three_mh__active.style.left=0;
		this._room_three_mh__active.style.top=0;
		this._room_three_mh.ggMarkerActive=this._room_three_mh__active;
		if (this._room_three_mh.firstChild) {
			this._room_three_mh.insertBefore(this._room_three_mh__active,this._room_three_mh.firstChild);
		} else {
			this._room_three_mh.appendChild(this._room_three_mh__active);
		}
		if (this._room_three_mh.firstChild) {
			this._room_three_mh.insertBefore(this._room_three_mh__normal,this._room_three_mh.firstChild);
		} else {
			this._room_three_mh.appendChild(this._room_three_mh__normal);
		}
		this._room_four_mh__normal=this._mhn.cloneNode(true);
		this._room_four_mh__normal.style.visibility='inherit';
		this._room_four_mh__normal.style.left=0;
		this._room_four_mh__normal.style.top=0;
		this._room_four_mh.ggMarkerNormal=this._room_four_mh__normal;
		this._room_four_mh__active=this._mha.cloneNode(true);
		this._room_four_mh__active.style.visibility='hidden';
		this._room_four_mh__active.style.left=0;
		this._room_four_mh__active.style.top=0;
		this._room_four_mh.ggMarkerActive=this._room_four_mh__active;
		if (this._room_four_mh.firstChild) {
			this._room_four_mh.insertBefore(this._room_four_mh__active,this._room_four_mh.firstChild);
		} else {
			this._room_four_mh.appendChild(this._room_four_mh__active);
		}
		if (this._room_four_mh.firstChild) {
			this._room_four_mh.insertBefore(this._room_four_mh__normal,this._room_four_mh.firstChild);
		} else {
			this._room_four_mh.appendChild(this._room_four_mh__normal);
		}
		this._room_five_mh__normal=this._mhn.cloneNode(true);
		this._room_five_mh__normal.style.visibility='inherit';
		this._room_five_mh__normal.style.left=0;
		this._room_five_mh__normal.style.top=0;
		this._room_five_mh.ggMarkerNormal=this._room_five_mh__normal;
		this._room_five_mh__active=this._mha.cloneNode(true);
		this._room_five_mh__active.style.visibility='hidden';
		this._room_five_mh__active.style.left=0;
		this._room_five_mh__active.style.top=0;
		this._room_five_mh.ggMarkerActive=this._room_five_mh__active;
		if (this._room_five_mh.firstChild) {
			this._room_five_mh.insertBefore(this._room_five_mh__active,this._room_five_mh.firstChild);
		} else {
			this._room_five_mh.appendChild(this._room_five_mh__active);
		}
		if (this._room_five_mh.firstChild) {
			this._room_five_mh.insertBefore(this._room_five_mh__normal,this._room_five_mh.firstChild);
		} else {
			this._room_five_mh.appendChild(this._room_five_mh__normal);
		}
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
			me._loader.style[domTransition]='none';
			me._loader.ggParameter.sx=0;me._loader.ggParameter.sy=0;
			me._loader.style[domTransform]=parameterToTransform(me._loader.ggParameter);
		}
		this.divSkin.ggReLoaded=function() {
			me._loader.style[domTransition]='none';
			me._loader.ggParameter.sx=1;me._loader.ggParameter.sy=1;
			me._loader.style[domTransform]=parameterToTransform(me._loader.ggParameter);
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if (nodeMarker[i].ggMarkerNodeId==id) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		var hs='';
		if (me._mh_radar.ggParameter) {
			hs+=parameterToTransform(me._mh_radar.ggParameter) + ' ';
		}
		hs+='rotate(' + (-1.0*(1 * me.player.getPanNorth() + 0)) + 'deg) ';
		me._mh_radar.style[domTransform]=hs;
		if (me.elementMouseDown['button_zoomin']) {
			me.player.changeFovLog(-0.5,true);
		}
		if (me.elementMouseDown['button_zoomout']) {
			me.player.changeFovLog(0.5,true);
		}
		var hs='';
		if (me._loadbar.ggParameter) {
			hs+=parameterToTransform(me._loadbar.ggParameter) + ' ';
		}
		hs+='scale(' + (1 * me.player.getPercentLoaded() + 0) + ',1.0) ';
		me._loadbar.style[domTransform]=hs;
	};
	function SkinHotspotClass(skinObj,hotspot) {
		var me=this;
		var flag=false;
		this.player=skinObj.player;
		this.skin=skinObj;
		this.hotspot=hotspot;
		this.elementMouseDown=new Array();
		this.elementMouseOver=new Array();
		this.__div=document.createElement('div');
		this.__div.setAttribute('style','position:absolute; left:0px;top:0px;visibility: inherit;');
		
		this.findElements=function(id,regex) {
			return me.skin.findElements(id,regex);
		}
		
		{
			this.__div=document.createElement('div');
			this.__div.ggId='hs';
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this.__div.ggVisible=true;
			hs ='position:absolute;';
			hs+='left: 102px;';
			hs+='top:  76px;';
			hs+='width: 5px;';
			hs+='height: 5px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			this.__div.setAttribute('style',hs);
			this.__div.onclick=function () {
				me.player.openUrl(me.hotspot.url,me.hotspot.target);
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function () {
				me.player.hotspot=me.hotspot;
				me._tooltip.style[domTransition]='none';
				me._tooltip.ggParameter.sx=1;me._tooltip.ggParameter.sy=1;
				me._tooltip.style[domTransform]=parameterToTransform(me._tooltip.ggParameter);
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function () {
				me.player.hotspot=me.player.emptyHotspot;
				me._tooltip.style[domTransition]='none';
				me._tooltip.ggParameter.sx=0;me._tooltip.ggParameter.sy=0;
				me._tooltip.style[domTransform]=parameterToTransform(me._tooltip.ggParameter);
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this._hs_image=document.createElement('div');
			this._hs_image.ggId='hs_image';
			this._hs_image.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._hs_image.ggVisible=true;
			hs ='position:absolute;';
			hs+='left: -17px;';
			hs+='top:  -15px;';
			hs+='width: 26px;';
			hs+='height: 20px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			hs+='cursor: pointer;';
			hs+='border: 5px solid #ff0000;';
			hs+='border-radius: 15px;';
			hs+=cssPrefix + 'border-radius: 15px;';
			hs+='background-color: #ffffff;';
			this._hs_image.setAttribute('style',hs);
			this.__div.appendChild(this._hs_image);
			this._hs_red_dot=document.createElement('div');
			this._hs_red_dot.ggId='hs_red_dot';
			this._hs_red_dot.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._hs_red_dot.ggVisible=true;
			hs ='position:absolute;';
			hs+='left: -4px;';
			hs+='top:  -5px;';
			hs+='width: 10px;';
			hs+='height: 10px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			hs+='cursor: pointer;';
			hs+='border: 0px solid #000000;';
			hs+='border-radius: 999px;';
			hs+=cssPrefix + 'border-radius: 999px;';
			hs+='background-color: #ff0000;';
			this._hs_red_dot.setAttribute('style',hs);
			this.__div.appendChild(this._hs_red_dot);
			this._tooltip=document.createElement('div');
			this._tooltip.ggId='tooltip';
			this._tooltip.ggParameter={ rx:0,ry:0,a:0,sx:0,sy:0 };
			this._tooltip.ggVisible=true;
			hs ='position:absolute;';
			hs+='left: -98px;';
			hs+='top:  -67px;';
			hs+='width: 201px;';
			hs+='height: 18px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+=cssPrefix + 'transform: ' + parameterToTransform(this._tooltip.ggParameter) + ';';
			hs+='visibility: inherit;';
			this._tooltip.setAttribute('style',hs);
			this._tooltip_bg=document.createElement('div');
			this._tooltip_bg.ggId='tooltip_bg';
			this._tooltip_bg.ggParameter={ rx:0,ry:0,a:0,sx:1.2,sy:1.2 };
			this._tooltip_bg.ggVisible=true;
			this._tooltip_bg.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				this.style.left=(1 + (200-this.offsetWidth)/2) + 'px';
			}
			hs ='position:absolute;';
			hs+='left: 1px;';
			hs+='top:  1px;';
			hs+='width: auto;';
			hs+='height: auto;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+=cssPrefix + 'transform: ' + parameterToTransform(this._tooltip_bg.ggParameter) + ';';
			hs+='visibility: inherit;';
			hs+='border: 0px solid #b0b0b0;';
			hs+='color: #000000;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._tooltip_bg.setAttribute('style',hs);
			this._tooltip_bg.innerHTML=me.hotspot.title;
			this._tooltip.appendChild(this._tooltip_bg);
			this._tooltip_face=document.createElement('div');
			this._tooltip_face.ggId='tooltip_face';
			this._tooltip_face.ggParameter={ rx:0,ry:0,a:0,sx:1.2,sy:1.2 };
			this._tooltip_face.ggVisible=true;
			this._tooltip_face.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				this.style.left=(0 + (200-this.offsetWidth)/2) + 'px';
			}
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: auto;';
			hs+='height: auto;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+=cssPrefix + 'transform: ' + parameterToTransform(this._tooltip_face.ggParameter) + ';';
			hs+='visibility: inherit;';
			hs+='border: 0px solid #000000;';
			hs+='color: #0000ff;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._tooltip_face.setAttribute('style',hs);
			this._tooltip_face.innerHTML=me.hotspot.title;
			this._tooltip.appendChild(this._tooltip_face);
			this.__div.appendChild(this._tooltip);
		}
	};
	this.addSkinHotspot=function(hotspot) {
		return new SkinHotspotClass(me,hotspot);
	}
	this.addSkin();
};